kind: BuildConfig
apiVersion: build.openshift.io/v1
metadata:
  name: {{ include "ntravl-backend.fullname" . }}-build
  labels:
  {{- include "ntravl-backend.labels" . | nindent 4 }}
  annotations:
    description: Defines how to build the application
spec:
  successfulBuildsHistoryLimit: 3
  failedBuildsHistoryLimit: 3
  source:
    type: Git
    git:
      uri: {{ .Values.gitRepo.url | quote }}
      ref: {{ .Values.gitRepo.ref | quote }}
    contextDir: {{ .Values.gitRepo.context | quote }}
    sourceSecret:
      name: {{ include "ntravl-backend.fullname" . }}-gitlab-secret
  strategy:
    type: Docker
  output:
    to:
      kind: ImageStreamTag
      name: {{ include "ntravl-backend.fullname" . }}-img:latest
  triggers:
    - type: ImageChange
    - type: ConfigChange
    - type: GitLab
      gitlab:
        secret: {{ .Values.gitRepo.secret | default (randAlphaNum 40) | quote }}
